Articoli precedente e prossimo:
Thursday, 5 April, 2007

At last, the announcement I was waiting for: the latest release of the wp multilanguage plugin Gengo 0.9 compatible with recent wp release. I was running WP 2.1 Ella, I thought: Ok, let’s just upgrade Gengo… eh no no. Other good news was that Spam Karma 2 released a Gengo compliant version, so let’s download SK2 as well… but(!) I soon discovered that «Gengo only works for WordPress 2.1.2 or greater» so let’s upgrade the whole bunch!

And here I am, writing this new post also to test the working features of Gengo (you can read here my post about Gengo 0.8 not fully WP 2.1 compliant) after the whole upgrade is successfully -hope so- done.

My main trouble before upgrading was that I hacked heavily Gengo -as described in the post I just linked- to determine the language by subdomain and not by passing querystring parameter or rewrite-url (that awful /en/ or /it/, or whatever, trailing all links). So I had to study again the new gengo.php code, obviously changed specially where I touched it eheh. I upgraded directly my customised Gengo version (how brave) and it seems to work… let’s see…



Lascia un commento

Tag XHTML permessi: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <strike> <strong>